/**********************************************************************
 *
 * cfgread.h -- reads in configuration files
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: cfgread.h 114 1999-01-19 01:38:20Z rjmcnab $
 *
 *********************************************************************/


#ifndef CFGREAD_H
#define CFGREAD_H

#include "gsdlconf.h"
#include "text_t.h"

#if defined(GSDL_USE_OBJECTSPACE)
#  include <ospace\std\fstream>
#elif defined(GSDL_USE_IOS_H)
#  include <fstream.h>
#else
#  include <fstream>
#endif


// returns 0 on success, -1 on failure
int read_cfg_line (ifstream &filein, text_tarray &values);

#endif
