/**********************************************************************
 *
 * fileutil.h -- a few useful file utilities
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: fileutil.h 224 1999-04-06 22:16:50Z rjmcnab $
 *
 *********************************************************************/


#ifndef FILEUTIL_H
#define FILEUTIL_H

#include "text_t.h"


// returns the proper concatenation of the two paths
text_t filename_cat (text_t path1, text_t path2);
text_t filename_cat (text_t path1, text_t path2, text_t path3);
text_t filename_cat (text_t path1, text_t path2, text_t path3, text_t path4);
text_t filename_cat (text_t path1, text_t path2, text_t path3, text_t path4, 
		     text_t path5);

// returns true if filename can be opened
bool file_exists (const text_t &filename);


#endif
