/**********************************************************************
 *
 * browsetools.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: browsetools.h 444 1999-08-10 22:42:21Z sjboddie $
 *
 *********************************************************************/


#ifndef BROWSETOOLS_H
#define BROWSETOOLS_H

#include "gsdlconf.h"
#include "text_t.h"
#include "cgiargs.h"
#include "display.h"
#include "recptproto.h"
#include "formattools.h"


void output_document_toc (cgiargsclass &args, const formatinfo_t &formatinfo,
			  recptproto *collectproto, displayclass &disp, 
			  outconvertclass &outconvert, ostream &textout, 
			  ostream &logout);

void output_standard_toc (const text_t &classifytype, const formatinfo_t &formatinfo,
			  text_t &formatstring, cgiargsclass &args, 
			  recptproto *collectproto, displayclass &disp, 
			  outconvertclass &outconvert, ostream &textout, 
			  ostream &logout);

void set_arrow_macros (const text_t &OID, const text_t &classifytype,
		       bool showtoppage, displayclass &disp, 
		       recptproto *collectproto, const text_t &collection, 
		       ostream &logout);

#endif
